libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Fields
atsc_table_vct Struct Reference
Digital TV table parsing

ATSC VCT table (covers both CVCT and TVCT) More...

`#include <vct.h>`

## Data Fields
struct dvb_table_header | header
uint8_t | protocol_version
uint8_t | num_channels_in_section
struct atsc_table_vct_channel * | channel
struct dvb_desc * | descriptor

## Detailed Description

ATSC VCT table (covers both CVCT and TVCT)

Parameters

  header | struct dvb_table_header content
  protocol_version | protocol version
  num_channels_in_section | num channels in section
  channel | pointer to struct channel
  descriptor | pointer to struct descriptor

Everything after atsc_table_vct::channel (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there

Definition at line 168 of file vct.h.

## Field Documentation

## ◆ channel

struct atsc_table_vct_channel* atsc_table_vct::channel

Definition at line 174 of file vct.h.

## ◆ descriptor

struct dvb_desc* atsc_table_vct::descriptor

Definition at line 175 of file vct.h.

## ◆ header

struct dvb_table_header atsc_table_vct::header

Definition at line 169 of file vct.h.

## ◆ num_channels_in_section

uint8_t atsc_table_vct::num_channels_in_section

Definition at line 172 of file vct.h.

## ◆ protocol_version

uint8_t atsc_table_vct::protocol_version

Definition at line 170 of file vct.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/vct.h